import { ITraining } from "./src/training/types";

const data: { trainings: ITraining[]; polls: any } = {
  trainings: [
    {
      id: "training0",
      title: "Circuit",
      type: {
        id: "type0",
        name: "HIIT",
        description: "High intensity interval training.",
      },
      createdAt: "2020-04-14T21:13:43.284Z",
      trainingDate: "2020-04-15T09:45:00.000Z",
      location: "At home",
      registrations: [],
      attendance: 0,
      ratings: [],
      published: true,
      blocks: [
        {
          id: "block0",
          sequence: 0,
          title: "Roxanne",
          description:
            "Keep the squat low, especially towards the end. On the squat jump, try to explode up high and catch yourself in a low squat.",
          repetitions: 1,
          rest: 45,
          video: "/media/roxanne.mp4",
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block3",
              video: "/media/roxanne.mp4",
              duration: 185,
              exercises: [
                {
                  id: "exercise1",
                  name: "Squat",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "Burpee",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block1",
          sequence: 0,
          title: "Tabata",
          repetitions: 1,
          rest: 60,
          video: "/media/tabata.mp4",
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block4",
              duration: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Prepare",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "It's only 20 seconds! Try to stay dynamic on the beat.",
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Power lunge",
                  repetitions: 4,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise2",
                  name: "Squat jump",
                  repetitions: 2,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "Catch yourself and control the downward move, then explode back up again.",
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plyo pushup",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Ice skater",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "The higher you can keep your pelvis, the harder it gets.",
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Kick up",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "You have plenty of time for the squat jump. Go for height this time!",
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Lateral jump squat",
                  repetitions: 2,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "Tuck jump burpee",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              description:
                "Focus on keeping your hips up. Don't forget to change the side in the second round!",
              exercises: [
                {
                  id: "exercise1",
                  name: "Side plank with leg lift and kick forward",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              description: "Go faster than the beat if you can.",
              exercises: [
                {
                  id: "exercise1",
                  name: "X-Man",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "Try to move the shoulders away from the floor. More than I did in the video 🙊",
              exercises: [
                {
                  id: "exercise1",
                  name: "Cross V-up",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block1",
          sequence: 0,
          title: "Tabata",
          repetitions: 1,
          rest: 60,
          video: "/media/tabata2.mp4",
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block4",
              duration: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Prepare",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "It's only 20 seconds! Try to stay dynamic on the beat.",
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Power lunge",
                  repetitions: 4,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise2",
                  name: "Squat jump",
                  repetitions: 2,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "Catch yourself and control the downward move, then explode back up again.",
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plyo pushup",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Ice skater",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "The higher you can keep your pelvis, the harder it gets.",
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Kick up",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "You have plenty of time for the squat jump. Go for height this time!",
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Lateral jump squat",
                  repetitions: 2,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "Tuck jump burpee",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              description:
                "Focus on keeping your hips up. Don't forget to change the side in the second round!",
              exercises: [
                {
                  id: "exercise1",
                  name: "Side plank with leg lift and kick forward",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              description: "Go faster than the beat if you can.",
              exercises: [
                {
                  id: "exercise1",
                  name: "X-Man",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              description:
                "Try to move the shoulders away from the floor. More than I did in the video 🙊",
              exercises: [
                {
                  id: "exercise1",
                  name: "Cross V-up",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block0",
          sequence: 0,
          title: "Circuit",
          repetitions: 2,
          rest: 60,
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block2",
              duration: 45,
              rest: 15,
              description:
                "Keep the ellbows close to your upper body on the narrow pushup. On the wide pushup, the arms are in a 90° angle away from the upper body.",
              video: "/media/circuit-1.mp4",
              exercises: [
                {
                  id: "exercise0",
                  name: "Narrow pushup",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: [],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Jog on the spot",
                  },
                },
                {
                  id: "exercise0",
                  name: "Wide pushup",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: [],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Jog on the spot",
                  },
                },
              ],
            },
            {
              id: "block3",
              duration: 45,
              rest: 15,
              description:
                "Brace your abs and keep the hips about shoulder high.",
              video: "/media/circuit-2.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Mountain climber",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              rest: 15,
              description: "Lift both the chest and your legs.",
              video: "/media/circuit-3.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Superman combo",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              rest: 15,
              video: "/media/circuit-4.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Run & punch",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              rest: 15,
              video: "/media/circuit-5.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Shoulder fly",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              rest: 15,
              video: "/media/circuit-6.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Fast knees",
                  repetitions: 8,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "High knees",
                  repetitions: 4,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block0",
          sequence: 0,
          title: "Rep challenge",
          description:
            "Finish 6 repetitions before 30 seconds are over and earn a break. After 30 seconds, the next round starts for a total of 4 rounds.",
          repetitions: 4,
          format: {
            id: "format0",
            name: "Rep challenge",
            description: "Finish 6 repetitions and earn a break.",
          },
          blocks: [
            {
              id: "block2",
              duration: 30,
              video: "/media/challenge.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "One armed burpee",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "Long jump",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "Run back",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block0",
          sequence: 0,
          title: "Work B**ch",
          repetitions: 1,
          rest: 90,
          video: "/media/workbitch.mp4",
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block2",
              duration: 16,
              exercises: [
                {
                  id: "exercise0",
                  name: "Pulsing crunch with high knees",
                  repetitions: 1,
                  description:
                    "Jog pulling your knees up high while moving sideways",
                  videos: ["https://www.youtube.com/watch?v=s5GanRixp6I"],
                  pictures: [
                    "https://media1.popsugar-assets.com/files/thumbor/xfgCQbEWOZpPDA_HTMSfgcOnYYE/fit-in/1024x1024/filters:format_auto-!!-:strip_icc-!!-/2015/06/26/981/n/1922729/a7719ba19ea7a1ae_lateral-run-and-hold/i/Tabata-One-Lateral-High-Knee-Run-Hold.jpg",
                  ],
                  targets: [],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Jog on the spot",
                  },
                },
              ],
            },
            {
              id: "block3",
              duration: 30,
              exercises: [
                {
                  id: "exercise1",
                  name: "Oblique crunch - right",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 46,
              exercises: [
                {
                  id: "exercise1",
                  name: "Bicycle crunch",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 30,
              exercises: [
                {
                  id: "exercise1",
                  name: "Oblique crunch - left",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              exercises: [
                {
                  id: "exercise1",
                  name: "Russian Twist",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 18,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank with arm extension",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plank with knee drops",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
      ],
    },
  ],
  polls: [],
};

export default data;
