import { ITraining } from './src/training/types'

const data: { trainings: ITraining[]; polls: any } = {
  trainings: [
    {
      id: 'training0',
      title: 'Circuit 2',
      type: {
        id: 'type0',
        name: 'HIIT',
        description: 'High intensity interval training.',
      },
      createdAt: '2020-04-21T21:13:43.284Z',
      trainingDate: '2020-04-22T09:45:00.000Z',
      location: 'At home',
      registrations: [],
      attendance: 0,
      ratings: [],
      published: true,
      blocks: [
        {
          id: 'block1',
          sequence: 0,
          title: 'Tabata',
          repetitions: 1,
          rest: 60,
          video: '/media/tabata2-1.mp4',
          format: {
            id: 'format0',
            name: 'Sequence',
            description: 'Sequence of exercises',
          },
          blocks: [
            {
              id: 'block4',
              duration: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Prepare',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block1',
              duration: 20,
              description: 'Get the pulse up as fast as possible.',
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Seal jacks',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 20,
              description:
                "Keep your abs tight. Try to to it against the wall (it's harder), but you can use some books instead to step on.",
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Wall pushup',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Low squat',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: '180',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 20,
              description: 'The higher you can keep your pelvis, the harder it gets.',
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Tabletop toe reacher',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block5',
              duration: 20,
              description: '',
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'High knees',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block6',
              duration: 20,
              rest: 10,
              description:
                'Punch between the thighs then outside. Stay with the beat, use the full range.',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Punch crunch',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block7',
              duration: 20,
              rest: 10,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Triple lunge pulses',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block8',
              duration: 20,
              description: 'Knees go straight, cross, straight, out',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Switch climber',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
          ],
        },
        {
          id: 'block1',
          sequence: 0,
          title: 'Tabata',
          repetitions: 1,
          rest: 60,
          video: '/media/tabata2-2.mp4',
          format: {
            id: 'format0',
            name: 'Sequence',
            description: 'Sequence of exercises',
          },
          blocks: [
            {
              id: 'block4',
              duration: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Prepare',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block1',
              duration: 20,
              description: 'Get the pulse up as fast as possible.',
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Seal jacks',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 20,
              description:
                "Keep your abs tight. Try to to it against the wall (it's harder), but you can use some books instead to step on.",
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Wall pushup',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Low squat',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: '180',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 20,
              description: 'The higher you can keep your pelvis, the harder it gets.',
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Tabletop toe reacher',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block5',
              duration: 20,
              description: '',
              rest: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'High knees',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block6',
              duration: 20,
              rest: 10,
              description:
                'Punch between the thighs then outside. Stay with the beat, use the full range.',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Punch crunch',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block7',
              duration: 20,
              rest: 10,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Triple lunge pulses',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block8',
              duration: 20,
              description: 'Knees go straight, cross, straight, out',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Switch climber',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
          ],
        },
        {
          id: 'block0',
          sequence: 0,
          title: 'Circuit',
          repetitions: 2,
          rest: 60,
          format: {
            id: 'format0',
            name: 'Sequence',
            description: 'Sequence of exercises',
          },
          blocks: [
            {
              id: 'block1',
              duration: 45,
              rest: 15,
              description: 'Lift left arm, left leg, right leg, right arm when coming up',
              video: '/media/circuit2-1.mp4',
              exercises: [
                {
                  id: 'exercise0',
                  name: 'Around the world pushup',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: [],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Jog on the spot',
                  },
                },
                {
                  id: 'exercise0',
                  name: 'Around the world superman',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: [],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Jog on the spot',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 45,
              rest: 15,
              description:
                'Always start with the same leg: Forward, sideways, back, sideways. Change the starting leg in the second round!',
              video: '/media/circuit2-2.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Fast feet cross',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 45,
              rest: 15,
              description: '',
              video: '/media/circuit2-3.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Adductor/abductor combo',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 45,
              rest: 15,
              video: '/media/circuit2-4.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Squat - lunge - squat - kick',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block5',
              duration: 45,
              rest: 15,
              video: '/media/circuit2-5.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Pushup - toe touch',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block6',
              duration: 45,
              rest: 15,
              video: '/media/circuit2-6.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'High jumps',
                  repetitions: 4,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Surfer jumps',
                  repetitions: 4,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
          ],
        },
        {
          id: 'block0',
          sequence: 0,
          title: 'Burpee challenge',
          description: '4 Burpee variations. Start with 1 repetition each, then go for 2, 3, 4...',
          repetitions: 1,
          rest: 60,
          format: {
            id: 'format0',
            name: 'Challenge',
            description: 'Finish 6 repetitions and earn a break.',
          },
          blocks: [
            {
              id: 'block2',
              duration: 120,
              video: '/media/burpeechallenge.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Burpee',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Pushup burpee',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Pushup tuck jump burpee',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Hands off push up tuck jump burpee',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
          ],
        },
        {
          id: 'block0',
          sequence: 0,
          title: 'Running Low',
          repetitions: 1,
          video: '/media/runninglow.mp4',
          format: {
            id: 'format0',
            name: 'Sequence',
            description: 'Sequence of exercises',
          },
          blocks: [
            {
              id: 'block2',
              duration: 11,
              exercises: [
                {
                  id: 'exercise0',
                  name: 'Into',
                  repetitions: 1,
                  description: '',
                  videos: ['https://www.youtube.com/watch?v=s5GanRixp6I'],
                  pictures: [
                    'https://media1.popsugar-assets.com/files/thumbor/xfgCQbEWOZpPDA_HTMSfgcOnYYE/fit-in/1024x1024/filters:format_auto-!!-:strip_icc-!!-/2015/06/26/981/n/1922729/a7719ba19ea7a1ae_lateral-run-and-hold/i/Tabata-One-Lateral-High-Knee-Run-Hold.jpg',
                  ],
                  targets: [],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Jog on the spot',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 44,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Transversus crunch',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 22,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Bicycle crunch',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 23,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Leg extension/split combo',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 27,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Hover',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 23,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Hover jack',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 22,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Hover - plank',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 25,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Hover - plank + jack combo',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
          ],
        },
      ],
    },
  ],
  polls: [],
}

export default data
