import App from 'next/app'
import { ApolloProvider } from '@apollo/client'
import { createContext } from 'react'

import Page from '../src/app/components/Page'
import client from '../src/lib/apollo'
import { StoreProvider } from '../src/lib/store'

import physical from '../physical'
import circuit2 from '../circuit2'
import circuit1 from '../circuit1'
import homework from '../homework'
import corona1 from '../corona1'

const trainings = [corona1, homework, circuit1, circuit2, physical]

export const TrainingContext = createContext(trainings)

class MyApp extends App {
  render() {
    const { Component, pageProps } = this.props

    return (
      <ApolloProvider client={client}>
        <TrainingContext.Provider value={trainings}>
          <Page>
            <Component {...pageProps} />
          </Page>
        </TrainingContext.Provider>
      </ApolloProvider>
    )
  }
}

export default MyApp
