import { ITraining } from './src/training/types'

const data: { trainings: ITraining[]; polls: any } = {
  trainings: [
    {
      id: 'training0',
      title: 'Circuit 2',
      type: {
        id: 'type0',
        name: 'HIIT',
        description: 'High intensity interval training.',
      },
      createdAt: '2020-04-21T21:13:43.284Z',
      trainingDate: '2020-04-22T09:45:00.000Z',
      location: 'At home',
      registrations: [],
      attendance: 0,
      ratings: [],
      published: true,
      blocks: [
        {
          id: 'block1',
          sequence: 0,
          title: 'Physical',
          repetitions: 1,
          rest: 90,
          video: '/media/physical.mp4',
          format: {
            id: 'format0',
            name: 'Sequence',
            description: 'Sequence of exercises',
          },
          blocks: [
            {
              id: 'block4',
              duration: 13,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Setup',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block1',
              duration: 26,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Pushup',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Shoulder-tap plank',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 26,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Slow mountain climber',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Side climber',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 42,
              description: 'The same excercises, just faster!',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Pushup',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Shoulder-tap',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Mountain climber',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Side climber',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 14,
              description: 'Stay low on the squat',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Squat pulses',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 16,
              description: 'Stay low on the squat',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Squat pulses with jump',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block5',
              duration: 26,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Ice skater',
                  repetitions: 8,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Rotation jump squat',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block5',
              duration: 16,
              description: '10 second speed challenge!',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Ice skater',
                  repetitions: 8,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Rotation jump squat',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 13,
              description: 'Stay low on the squat',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Squat pulses',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 13,
              description: 'Stay low on the squat',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Squat pulses with jump',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block5',
              duration: 26,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Pushup',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Side climber',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block5',
              duration: 43,
              description: '40 second speed challenge!',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Mountain climber',
                  repetitions: 8,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block6',
              duration: 26,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Lunge L/R',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block7',
              duration: 32,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Burpee',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Tuck jump',
                  repetitions: 2,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'High knees',
                  repetitions: 8,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block6',
              duration: 20,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Lunge L/R',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block7',
              duration: 39,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Burpee',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Tuck jump',
                  repetitions: 2,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'High knees',
                  repetitions: 8,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block7',
              duration: 15,
              description: '15 second finisher',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Burpee',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'High knees',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block7',
              duration: 4,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Rest!',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
          ],
        },
        {
          id: 'block0',
          sequence: 0,
          title: 'Circuit',
          repetitions: 2,
          rest: 60,
          format: {
            id: 'format0',
            name: 'Sequence',
            description: 'Sequence of exercises',
          },
          blocks: [
            {
              id: 'block1',
              duration: 45,
              rest: 15,
              video: '/media/russian_twist.mp4',
              exercises: [
                {
                  id: 'exercise0',
                  name: 'Russian twist',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: [],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Jog on the spot',
                  },
                },
                {
                  id: 'exercise0',
                  name: 'Bicycle leg extension',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: [],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Jog on the spot',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 45,
              rest: 15,
              video: '/media/bicep_curl.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Bicep curl',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 45,
              rest: 15,
              description: '',
              video: '/media/side_plank.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Side plank',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 45,
              rest: 15,
              video: '/media/swimmer.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Swimmer',
                  repetitions: 8,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Static superman',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block5',
              duration: 45,
              rest: 15,
              video: '/media/drop_legextension.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Side drop leg extension',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block6',
              duration: 45,
              rest: 15,
              video: '/media/side_touch_lunges.mp4',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Side touch lunges',
                  repetitions: 4,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Surfer jumps',
                  repetitions: 4,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
          ],
        },
        {
          id: 'block0',
          sequence: 0,
          title: 'Shoulder Training',
          repetitions: 1,
          video: '/media/goeslikethis.mp4',
          rest: 60,
          format: {
            id: 'format0',
            name: 'Challenge',
            description: 'Finish 6 repetitions and earn a break.',
          },
          blocks: [
            {
              id: 'block4',
              duration: 14,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Setup',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block1',
              duration: 29,
              description: 'Start slowly',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Side raise',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Front raise',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block1',
              duration: 29,
              description: 'A bit quicker',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Side raise',
                  repetitions: 2,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Front raise',
                  repetitions: 2,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 15,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Rear deltoid fly',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 15,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Rear deltoid fly',
                  repetitions: 3,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 14,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Rear deltoid fly',
                  repetitions: 7,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 14,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Slow side raise',
                  repetitions: 2,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 59,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Rotator raise',
                  repetitions: 2,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Front raise',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 15,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Rear deltoid fly',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 15,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Rear deltoid fly',
                  repetitions: 3,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 14,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Rear deltoid fly',
                  repetitions: 7,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block2',
              duration: 14,
              description: '',
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Slow side raise',
                  repetitions: 2,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 59,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Rotator raise',
                  repetitions: 2,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Front raise',
                  repetitions: 4,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 15,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Pushup',
                  repetitions: 8,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 18,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Mountain climber',
                  repetitions: 16,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
          ],
        },
        {
          id: 'block0',
          sequence: 0,
          title: 'sax',
          repetitions: 1,
          video: '/media/sax.mp4',
          format: {
            id: 'format0',
            name: 'Sequence',
            description: 'Sequence of exercises',
          },
          blocks: [
            {
              id: 'block2',
              duration: 29,
              exercises: [
                {
                  id: 'exercise0',
                  name: 'Setup',
                  repetitions: 1,
                  description: '',
                  videos: [],
                  pictures: [],
                  targets: [],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Jog on the spot',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 30,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Hover - Spider plank',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 14,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Setup plank',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 52,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Sit-back plank',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 19,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Crunch pulse',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 10,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Leg extension',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 22,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Oblique crunch',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 52,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Pulse crunch',
                  repetitions: 2,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
                {
                  id: 'exercise1',
                  name: 'Leg extension',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block3',
              duration: 29,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Hover - Spider plank',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 15,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Setup plank',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
            {
              id: 'block4',
              duration: 49,
              exercises: [
                {
                  id: 'exercise1',
                  name: 'Sit-back plank',
                  repetitions: 1,
                  description:
                    'Sit down backwards, hip about knee-high. Keep your knees behind the toes.',
                  videos: [],
                  pictures: [],
                  targets: ['Thighs', 'Glutes'],
                  baseExercise: {
                    id: 'baseExercise1',
                    name: 'Squat',
                  },
                },
              ],
            },
          ],
        },
      ],
    },
  ],
  polls: [],
}

export default data
