import { FunctionComponent } from 'react'
import { ITraining } from '../types'
import Link from 'next/link'

const TrainingHint: FunctionComponent<{ training: ITraining; index: number }> = ({
  training,
  index,
}) => {
  return (
    <Link href='/[id]' as={`/${index}`}>
      <a>
        <li>
          <div>{training.title}</div>
          <div>{new Date(training.trainingDate).toLocaleString()}</div>
          <style jsx>{``}</style>
        </li>
      </a>
    </Link>
  )
}

export default TrainingHint
